> For clean Markdown content of this page, append .md to this URL. For the complete documentation index, see https://learning.postman.com/llms.txt. For full content including API reference and SDK examples, see https://learning.postman.com/llms-full.txt.

# Get a mock server

GET https://api.getpostman.com/mocks/{mockId}

Gets information about a mock server.

Reference: https://learning.postman.com/api-docs/api-reference/mocks/get-mock

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Postman API
  version: 1.0.0
paths:
  /mocks/{mockId}:
    get:
      operationId: getMock
      summary: Get a mock server
      description: Gets information about a mock server.
      tags:
        - mocks
      parameters:
        - name: mockId
          in: path
          description: The mock's ID.
          required: true
          schema:
            $ref: '#/components/schemas/mockId'
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/getMock'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetMockRequestUnauthorizedError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorNameMessageDetails'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/mock500Error'
servers:
  - url: https://api.getpostman.com
    description: https://api.getpostman.com
  - url: https://api.eu.postman.com
    description: https://api.eu.postman.com
components:
  schemas:
    mockId:
      type: string
      title: mockId
    GetMockMockConfigDelayType:
      type: string
      enum:
        - fixed
      description: |
        The type of simulated delay value:
        - `fixed` — The delay value is a fixed value.
      title: GetMockMockConfigDelayType
    GetMockMockConfigDelayPreset:
      type: string
      enum:
        - '1'
        - '2'
      description: |
        The simulated fixed network delay value:
        - `1` — 2G (300 ms).
        - `2` — 3G (100 ms).
        The object does not return this value for custom delay values.
      title: GetMockMockConfigDelayPreset
    GetMockMockConfigDelay:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/GetMockMockConfigDelayType'
          description: |
            The type of simulated delay value:
            - `fixed` — The delay value is a fixed value.
        preset:
          $ref: '#/components/schemas/GetMockMockConfigDelayPreset'
          description: |
            The simulated fixed network delay value:
            - `1` — 2G (300 ms).
            - `2` — 3G (100 ms).
            The object does not return this value for custom delay values.
        duration:
          type: integer
          description: The configured delay, in milliseconds.
      description: >-
        Information about the mock server's simulated network delay settings.
        This returns a null value if there are no configured network delay
        settings.
      title: GetMockMockConfigDelay
    GetMockMockConfig:
      type: object
      properties:
        headers:
          type: array
          items:
            type: string
          description: A list of the mock server's headers.
        matchBody:
          type: boolean
          description: If true, match the request body.
        matchQueryParams:
          type: boolean
          description: If true, match query parameters.
        matchWildcards:
          type: boolean
          description: If true, use wildcard variable matching.
        delay:
          oneOf:
            - $ref: '#/components/schemas/GetMockMockConfigDelay'
            - type: 'null'
          description: >-
            Information about the mock server's simulated network delay
            settings. This returns a null value if there are no configured
            network delay settings.
        serverResponseId:
          type:
            - string
            - 'null'
          description: >-
            The ID of mock server's default response for requests. All calls to
            the mock server will return the defined response.
      description: Information about the mock server's configuration.
      title: GetMockMockConfig
    GetMockMock:
      type: object
      properties:
        id:
          type: string
          description: The mock server's ID.
        owner:
          type: string
          description: The ID of mock server's owner.
        uid:
          type: string
          format: uid
          description: The mock server's unique ID.
        collection:
          type: string
          description: The unique ID of the mock's associated collection.
        mockUrl:
          type: string
          format: url
          description: The mock server URL.
        name:
          type: string
          description: The mock server's name.
        config:
          $ref: '#/components/schemas/GetMockMockConfig'
          description: Information about the mock server's configuration.
        createdAt:
          type: string
          format: date-time
          description: The date and time at which the mock server was created.
        updatedAt:
          type: string
          format: date-time
          description: The date and time at which the mock server was last updated.
        isPublic:
          type: boolean
          description: >-
            If true, the mock server is public and visible to all users. This
            field does not indicate the mock server's access control status.
        deactivated:
          type: boolean
          description: >-
            If true, the mock server is not active. Mock servers deactivate when
            a linked collection or environment is deleted.
        environment:
          type: string
          description: The mock server's associated environment ID.
      description: Information about the mock server.
      title: GetMockMock
    getMock:
      type: object
      properties:
        mock:
          $ref: '#/components/schemas/GetMockMock'
          description: Information about the mock server.
      title: getMock
    CommonErrorTypeTitleDetailStatusType:
      oneOf:
        - type: string
          format: uri-reference
        - type: string
      title: CommonErrorTypeTitleDetailStatusType
    commonErrorTypeTitleDetailStatus:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailStatusType'
        title:
          type: string
          description: A short summary of the problem.
        detail:
          type: string
          description: Information about the error.
        status:
          type: integer
          description: The error's HTTP status code.
      title: commonErrorTypeTitleDetailStatus
    CommonErrorNameMessageError:
      type: object
      properties:
        name:
          type: string
          description: The error name.
        message:
          type: string
          description: The error message.
      description: Information about the error.
      title: CommonErrorNameMessageError
    commonErrorNameMessage:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CommonErrorNameMessageError'
          description: Information about the error.
      title: commonErrorNameMessage
    GetMockRequestUnauthorizedError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        - $ref: '#/components/schemas/commonErrorNameMessage'
      title: GetMockRequestUnauthorizedError
    CommonErrorNameMessageDetailsErrorDetails:
      oneOf:
        - type: object
          additionalProperties:
            description: Any type
        - type: array
          items:
            type: string
      description: Information about the error.
      title: CommonErrorNameMessageDetailsErrorDetails
    CommonErrorNameMessageDetailsError:
      type: object
      properties:
        name:
          type: string
          description: The error name.
        message:
          type: string
          description: The error message.
        details:
          $ref: '#/components/schemas/CommonErrorNameMessageDetailsErrorDetails'
          description: Information about the error.
      title: CommonErrorNameMessageDetailsError
    commonErrorNameMessageDetails:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CommonErrorNameMessageDetailsError'
      title: commonErrorNameMessageDetails
    Mock500ErrorError:
      type: object
      properties:
        type:
          type: string
          description: The error name.
        message:
          type: string
          description: The error message.
      title: Mock500ErrorError
    mock500Error:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/Mock500ErrorError'
      title: mock500Error
  securitySchemes:
    PostmanApiKey:
      type: apiKey
      in: header
      name: x-api-key
    scimApiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        A valid [SCIM API
        key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key)
        for calls to SCIM endpoints.
    basicAuth:
      type: http
      scheme: basic

```

## Examples



**Response**

```json
{
  "mock": {
    "id": "e3d951bf-873f-49ac-a658-b2dcb91d3289",
    "owner": "12345678",
    "uid": "12345678-e3d951bf-873f-49ac-a658-b2dcb91d3289",
    "collection": "12345678-12ece9e1-2abf-4edc-8e34-de66e74114d2",
    "mockUrl": "https://e3d951bf-873f-49ac-a658-b2dcb91d3289.mock.pstmn.io",
    "name": "Test Mock",
    "config": {
      "headers": [],
      "matchBody": false,
      "matchQueryParams": true,
      "matchWildcards": true,
      "delay": {
        "type": "fixed",
        "duration": 140000
      },
      "serverResponseId": "94d0f5d9-dbdf-4046-9a7d-a11f9b78ac65"
    },
    "createdAt": "2022-07-25T20:54:30.000Z",
    "updatedAt": "2022-07-25T20:54:30.000Z",
    "isPublic": false,
    "deactivated": false,
    "environment": "12345678-5daabc50-8451-43f6-922d-96b403b4f28e"
  }
}
```

**SDK Code**

```python Successful Response
import requests

url = "https://api.getpostman.com/mocks/e3d951bf-873f-49ac-a658-b2dcb91d3289"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Successful Response
const url = 'https://api.getpostman.com/mocks/e3d951bf-873f-49ac-a658-b2dcb91d3289';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Successful Response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/mocks/e3d951bf-873f-49ac-a658-b2dcb91d3289"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Successful Response
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/mocks/e3d951bf-873f-49ac-a658-b2dcb91d3289")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Successful Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.getpostman.com/mocks/e3d951bf-873f-49ac-a658-b2dcb91d3289")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Successful Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.getpostman.com/mocks/e3d951bf-873f-49ac-a658-b2dcb91d3289', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Successful Response
using RestSharp;

var client = new RestClient("https://api.getpostman.com/mocks/e3d951bf-873f-49ac-a658-b2dcb91d3289");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Successful Response
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/mocks/e3d951bf-873f-49ac-a658-b2dcb91d3289")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```